# SNES Patcher
Patch your SNES games with IPS or BPS patches, starring SNES Patcher!

## Features
- Written with GTK4, not GTK3
- Written in Rust, not C/C++
- Simple, intuitive user interface

## What is this?
SNES Patcher is a simple GTK4 application where you can patch your SNES ROMs with IPS or BPS patches.

## Why?
The idea to build this application came from the [Super Mario World widescreen patch](https://github.com/VitorVilela7/wide-snes) built by [Victor Vilela](https://github.com/VitorVilela7/). Being a big fan of Super Mario World, I was eager to try it out. I happened to find FLIPS, another IPS/BPS patching utility. Functionally, FLIPS worked but aesthetically, FLIPS looked horrible. I decided to scratch my own itch and built the same utility, but from scratch. Thus, SNES Patcher was born.

## Where can I download it?
Currently, you can build from source by downloading `rustup`, thusly downloading `rustc` and `cargo`. Packages coming soon!